Rivet::DISFinalState Class Reference

Final state particles boosted to the hadronic center of mass system. More...

`#include <DISFinalState.hh>`

Inheritance diagram for Rivet::DISFinalState:

## Public Types

enum | BoostType { HCM, BREIT }
| Type of DIS boost to apply.
Public Types inherited from Rivet::FinalState
typedef Particle | entity_type
typedef ParticleVector | collection_type

## Public Member Functions

Constructors
| DISFinalState (const DISKinematics &kinematicsp, BoostType boosttype)
| Constructor.
virtual const Projection * | clone () const
| Clone on the heap.
Public Member Functions inherited from Rivet::FinalState
virtual const ParticleVector & | particles () const
| Get the final-state particles.
template<typename F >
const ParticleVector & | particles (F sorter) const
| Get the final-state particles, ordered by supplied sorting function object.
const ParticleVector & | particlesByPt () const
| Get the final-state particles, ordered by decreasing .
const ParticleVector & | particlesByP () const
| Get the final-state particles, ordered by decreasing .
const ParticleVector & | particlesByE () const
| Get the final-state particles, ordered by decreasing .
const ParticleVector & | particlesByEt () const
| Get the final-state particles, ordered by decreasing .
const ParticleVector & | particlesByEta () const
| Get the final-state particles, ordered by increasing .
const ParticleVector & | particlesByModEta () const
| Get the final-state particles, ordered by increasing .
const ParticleVector & | particlesByRapidity () const
| Get the final-state particles, ordered by increasing .
const ParticleVector & | particlesByModRapidity () const
| Get the final-state particles, ordered by increasing .
virtual size_t | size () const
| Access the projected final-state particles.
virtual bool | empty () const
| Is this final state empty?
virtual bool | isEmpty () const
virtual double | ptMin () const
| Minimum- requirement.
const collection_type & | entities () const
| Template-usable interface common to JetAlg.
| FinalState (double mineta=-MAXRAPIDITY, double maxeta=MAXRAPIDITY, double minpt=0.0 *GeV)
| FinalState (const vector< pair< double, double > > &etaRanges, double minpt=0.0 *GeV)
Public Member Functions inherited from Rivet::Projection
bool | before (const Projection &p) const
virtual const std::set< PdgIdPair > | beamPairs () const
virtual std::string | name () const
| Get the name of the projection.
Projection & | addPdgIdPair (PdgId beam1, PdgId beam2)
| Add a colliding beam pair.
Log & | getLog () const
| Get a Log object based on the getName() property of the calling projection object.
void | setName (const std::string &name)
| Used by derived classes to set their name.
| Projection ()
| The default constructor.
virtual | ~Projection ()
| The destructor.
Public Member Functions inherited from Rivet::ProjectionApplier
| ProjectionApplier ()
| Constructor.
std::set< ConstProjectionPtr > | getProjections () const
| Get the contained projections, including recursion.
template<typename PROJ >
const PROJ & | getProjection (const std::string &name) const
| Get the named projection, specifying return type via a template argument.
const Projection & | getProjection (const std::string &name) const
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const PROJ &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const Projection &proj) const
| Apply the supplied projection on event.
template<typename PROJ >
const PROJ & | applyProjection (const Event &evt, const std::string &name) const
| Apply the named projection on event.

## Protected Member Functions

void | project (const Event &e)
| Apply the projection on the supplied event.
int | compare (const Projection &p) const
| Compare projections.
Protected Member Functions inherited from Rivet::FinalState
bool | accept (const Particle &p) const
| Decide if a particle is to be accepted or not.
Protected Member Functions inherited from Rivet::Projection
Cmp< Projection > | mkNamedPCmp (const Projection &otherparent, const std::string &pname) const
Cmp< Projection > | mkPCmp (const Projection &otherparent, const std::string &pname) const
Protected Member Functions inherited from Rivet::ProjectionApplier
Log & | getLog () const
ProjectionHandler & | getProjHandler () const
| Get a reference to the ProjectionHandler for this thread.
template<typename PROJ >
const PROJ & | addProjection (const PROJ &proj, const std::string &name)

## Detailed Description

Final state particles boosted to the hadronic center of mass system.

NB. The DIS scattered lepton is not included in the final state particles.

The documentation for this class was generated from the following files:

- include/Rivet/Projections/DISFinalState.hh
- src/Projections/DISFinalState.cc